## hare-update 0.25.2.0

=== Makefile ===
.POSIX:
.SUFFIXES:
HARE=hare
HAREFLAGS=

DESTDIR=
PREFIX=/usr/local
LIBEXECDIR=$(PREFIX)/libexec

HARE_SOURCES != find . -name '*.ha' | grep -v '^./versions/.*/v.*\.ha'

all: hare-update hare-update-genrules

VERSIONS=\
	 versions/v0_25_2/v0.25.2.ha

versions/v0_25_2/v0.25.2.ha: versions/v0_25_2/v0.25.2.ha.in hare-update-genrules
	./hare-update-genrules < $< > $@

hare-update: $(HARE_SOURCES) $(VERSIONS)
	$(HARE) build $(HAREFLAGS) -o $@ cmd/$@/

hare-update-genrules: $(HARE_SOURCES)
	$(HARE) build $(HAREFLAGS) -o $@ cmd/$@/

check:
	$(HARE) test $(HAREFLAGS)

clean:
	rm -f hare-update

install:
	install -Dm755 hare-update $(DESTDIR)$(LIBEXECDIR)/hare/hare-update

uninstall:
	rm -f $(DESTDIR)$(LIBEXECDIR)/hare/hare-update

.PHONY: all check clean install uninstall

=== debian/changelog ===
hare-update (0.25.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1109010)

 -- Guilherme Puida Moreira <puida@debian.org>  Fri, 12 Sep 2025 23:16:14 -0300

=== debian/control ===
Source: hare-update
Section: devel
Priority: optional
Maintainer: Debian Hare Team <team+pkg-hare@tracker.debian.org>
Uploaders:
 Guilherme Puida Moreira <puida@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 hare,
Standards-Version: 4.7.2
Homepage: https://git.sr.ht/~sircmpwn/hare-update
Vcs-Browser: https://salsa.debian.org/hare-team/pkg/hare-update
Vcs-Git: https://salsa.debian.org/hare-team/pkg/hare-update.git

Package: hare-update
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: assists in migrating Hare codebases to newer Hare releases
 The hare-update tool assists in updating codebases which are affected by
 breaking changes in Hare upstream.
 .
 Hare-update is based on a rules engine which pattern matches your hare code
 against rules defined by Hare maintainers that cover the breaking changes
 introduced in each release, and presents you with suggested edits to your code
 to address them.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX = /usr

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(PREFIX)

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, @builddeps@

Tests: update-24-25
Depends: @, hare, expect

=== debian/watch ===
version=4
https://git.sr.ht/~sircmpwn/@PACKAGE@/refs \
    .*/@ANY_VERSION@@ARCHIVE_EXT@

## hare-update 0.26.0.0

=== Makefile ===
--- 
+++ 
@@ -12,9 +12,17 @@
 all: hare-update hare-update-genrules
 
 VERSIONS=\
-	 versions/v0_25_2/v0.25.2.ha
+	 versions/v0_25_2/v0.25.2.ha \
+	 versions/v0_26_0/v0.26.0.ha \
+	 versions/vNEXT/v0.next.ha
 
 versions/v0_25_2/v0.25.2.ha: versions/v0_25_2/v0.25.2.ha.in hare-update-genrules
+	./hare-update-genrules < $< > $@
+
+versions/v0_26_0/v0.26.0.ha: versions/v0_26_0/v0.26.0.ha.in hare-update-genrules
+	./hare-update-genrules < $< > $@
+
+versions/vNEXT/v0.next.ha: versions/vNEXT/v0.next.ha.in hare-update-genrules
 	./hare-update-genrules < $< > $@
 
 hare-update: $(HARE_SOURCES) $(VERSIONS)

=== debian/changelog ===
hare-update (0.26.0.0-1) unstable; urgency=medium

  * New upstream release 0.26.0.0.
  * d/gbp.conf: Add upstream-vcs-tag.
  * d/control: Bump Standards-Version to 4.7.3. Consequently:
    - d/control: Drop Rules-Require-Root field.
  * d/control: Drop optional Priority field.
  * d/watch: Update to version 5.

 -- Guilherme Puida Moreira <puida@debian.org>  Fri, 13 Feb 2026 22:49:24 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: hare-update
 Section: devel
-Priority: optional
 Maintainer: Debian Hare Team <team+pkg-hare@tracker.debian.org>
 Uploaders:
  Guilherme Puida Moreira <puida@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  hare,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://git.sr.ht/~sircmpwn/hare-update
 Vcs-Browser: https://salsa.debian.org/hare-team/pkg/hare-update
 Vcs-Git: https://salsa.debian.org/hare-team/pkg/hare-update.git

=== debian/watch ===
Version: 5
Source: https://git.sr.ht/~sircmpwn/hare-update/refs
Matching-Pattern: .*/@ANY_VERSION@@ARCHIVE_EXT@
